> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Mute Channel

> Mute notifications from a channel

## Description

This endpoint allows you to mute notifications from a specific channel. You will continue following the channel, but will not receive notifications for updates.

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique authenticated session ID
</ParamField>

<ParamField path="id" type="string" required>
  Unique ID of the channel to mute
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Indicates if the channel was muted successfully
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "message": "Channel muted successfully"
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Channel muted successfully
* `400` - Invalid ID or channel is already muted
* `401` - Unauthorized
* `404` - Channel not found
* `500` - Internal server error

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter/mute
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const channelId = '123456789@newsletter';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}/mute`, {
    method: 'POST'
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  channel_id = '123456789@newsletter'
  response = requests.post(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}/mute')
  data = response.json()
  print(data)
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json post /api/{session}/channels/{id}/mute
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/channels/{id}/mute:
    post:
      tags:
        - 📢 Channels
      summary: Mute channel
      description: The {session} parameter must be the session's instanceName.
      operationId: ChannelsController_mute
      parameters:
        - name: session
          required: true
          in: path
          description: Session name (instanceName)
          example: my-session
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            default: 123123123@newsletter
          description: WhatsApp Channel ID
      responses:
        '201':
          description: ''
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````